Header and Content in Angular Card

14 Aug 20267 minutes to read

The Card component supports headers containing titles, subtitles, and images to provide context and visual hierarchy. The header section is created by adding a div element with the e-card-header class.

The Card provides the following elements and corresponding class definitions to include header content:

Elements Description
Caption The wrapper element that includes title and subtitle content.
Image Supports header images with specified dimensions and positioning.
Class Description
e-card-header-caption To group the title and subtitle within the header which acts as wrapper.
e-card-header-title Main title text with in the header.
e-card-sub-title A sub-title within the header.
e-card-header-image To include heading image within the header.
e-card-corner To add rounded corner for the image.

Adding Title and Subtitle

To add a header to the Card component, create a wrapper div element with the e-card-header-caption class.

  • Place a div element with the e-card-header-title class inside the header caption to define the main title text.

  • Place a div element with the e-card-sub-title class inside the caption element to define supplementary subtitle text.

Header Image

The Card header provides an option for adding images within the header section. Images are positioned either before or after the header caption based on the HTML element’s position in the header structure.

  • Add a header image by creating a div element with the e-card-header-image class, positioned either before or after the header caption wrapper element.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'



import { Component, ViewChild } from '@angular/core';

@Component({
imports: [
        
    ],


standalone: true,
    selector: 'app-container',
    template: `
        <div style="margin: 50px;">
        <div tabindex="0" class="e-card">
            <div class="e-card-header">
                <div class="e-card-header-image football e-card-corner"></div>
                <div class="e-card-header-caption">
                    <div class="e-card-header-title"> Laura Callahan</div>
                    <div class="e-card-sub-title">Sales Coordinator and Representative</div>
                </div>
            </div>
        </div>
        </div>
        <div style="margin-left: 50px;margin-top:30px">
        <div tabindex="0" class="e-card">
            <div class="e-card-header">
                <div class="e-card-header-caption">
                    <div class="e-card-header-title"> Laura Callahan</div>
                    <div class="e-card-sub-title">Sales Coordinator and Representative</div>
                </div>
                <div class="e-card-header-image football"></div>
            </div>
        </div>
        </div>
        `
})

export class AppComponent {
    @ViewChild('element') element: any;

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Content

The content section in Card components holds text, images, links, and all possible HTML elements. Content is adaptable within the Card root element and provides flexibility for various content types.

  • Create a div element with the class e-card-content.
  • Place the content div element within the Card root element or inside any Card inner elements.
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'



import { Component, ViewChild } from '@angular/core';

@Component({
imports: [
        
    ],


standalone: true,
    selector: 'app-container',
    template: `
        <div tabindex="0" class="e-card">
            <div class="e-card-header">
                <div class="e-card-header-image football"></div>
                <div class="e-card-header-caption">
                    <div class="e-card-header-title"> Laura Callahan</div>
                    <div class="e-card-sub-title">Sales Coordinator and Representative</div>
                </div>
            </div>
            <div class="e-card-content">
                Laura received a BA in psychology from the University of Washington. She has also completed a course in business French. She reads and writes French.
            </div>
        </div>
        `
})

export class AppComponent {
    @ViewChild('element') element: any;

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Header Content in Vue Card

21 Aug 202611 minutes to read

A Card can include a header with a title, subtitle, and image. Add a header by creating a div element with the e-card-header class.

Card provides the following header elements and corresponding class definitions.

Elements Description
Caption It is the wrapper element to include title and sub-title.
Image It supports to include header images with the specified dimensions.
Class Description
e-card-header-caption To group the title and subtitle within the header which acts as wrapper.
e-card-header-title Main title text with in the header.
e-card-sub-title A sub-title within the header.
e-card-header-image To include heading image within the header.
e-card-corner To add rounded corner for the image.

Title and Subtitle

To add a header caption, create a wrapper div with the e-card-header-caption class.

  • Place a div with the e-card-header-title class inside the header caption to add the main title.

  • Place a div with the e-card-sub-title class inside the header caption to add the subtitle.

Image

The Card header supports adding images. The header image can be positioned before or after the header caption depending on its placement in the header markup.

  • Add a div with the e-card-header-image class to include a header image; place it before or after the caption wrapper as needed.
<template>
    <div id="app">
        <div style="margin: 50px;">
            <div tabindex="0" class="e-card">
                <div class="e-card-header">
                    <div class="e-card-header-image football e-card-corner"></div>
                    <div class="e-card-header-caption">
                        <div class="e-card-header-title"> Laura Callahan</div>
                        <div class="e-card-sub-title">Sales Coordinator and Representative</div>
                    </div>
                </div>
            </div>
        </div>
        <div style="margin-left: 50px;margin-top:30px">
            <div tabindex="0" class="e-card">
                <div class="e-card-header">
                    <div class="e-card-header-caption">
                        <div class="e-card-header-title"> Laura Callahan</div>
                        <div class="e-card-sub-title">Sales Coordinator and Representative</div>
                    </div>
                    <div class="e-card-header-image football"></div>
                </div>
            </div>
        </div>
    </div>
</template>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css';

.e-card .e-card-header .e-card-header-image.football {
    background-image: url('./football.png');
}

.e-card {
    width: 300px
}
</style>
<template>
    <div id="app">
        <div style="margin: 50px;">
            <div tabindex="0" class="e-card">
                <div class="e-card-header">
                    <div class="e-card-header-image football e-card-corner"></div>
                    <div class="e-card-header-caption">
                        <div class="e-card-header-title"> Laura Callahan</div>
                        <div class="e-card-sub-title">Sales Coordinator and Representative</div>
                    </div>
                </div>
            </div>
        </div>
        <div style="margin-left: 50px;margin-top:30px">
            <div tabindex="0" class="e-card">
                <div class="e-card-header">
                    <div class="e-card-header-caption">
                        <div class="e-card-header-title"> Laura Callahan</div>
                        <div class="e-card-sub-title">Sales Coordinator and Representative</div>
                    </div>
                    <div class="e-card-header-image football"></div>
                </div>
            </div>
        </div>
    </div>
</template>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css';

.e-card .e-card-header .e-card-header-image.football {
    background-image: url('./football.png');
}

.e-card {
    width: 300px
}
</style>

Content

Card content can contain text, images, links, and other HTML elements. Its adaptable within the Card root element.

  • Create a div element with the class e-card-content.
  • Place content div element in the Card root element or within any Card inner elements.
<template>
  <div id="app">
    <div tabindex="0" class="e-card">
      <div class="e-card-header">
        <div class="e-card-header-image football"></div>
        <div class="e-card-header-caption">
          <div class="e-card-header-title"> Laura Callahan</div>
          <div class="e-card-sub-title">Sales Coordinator and Representative</div>
        </div>
      </div>
      <div class="e-card-content">
        Laura received a BA in psychology from the University of Washington. She has also completed a course in business
        French. She reads and writes French.
      </div>
    </div>
  </div>
</template>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css';

.e-card .e-card-header .e-card-header-image.football {
  background-image: url('./football.png');
}

.e-card {
  width: 300px
}
</style>
<template>
  <div id="app">
    <div tabindex="0" class="e-card">
      <div class="e-card-header">
        <div class="e-card-header-image football"></div>
        <div class="e-card-header-caption">
          <div class="e-card-header-title"> Laura Callahan</div>
          <div class="e-card-sub-title">Sales Coordinator and Representative</div>
        </div>
      </div>
      <div class="e-card-content">
        Laura received a BA in psychology from the University of Washington. She has also completed a course in business
        French. She reads and writes French.
      </div>
    </div>
  </div>
</template>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css';

.e-card .e-card-header .e-card-header-image.football {
  background-image: url('./football.png');
}

.e-card {
  width: 300px
}
</style>

Header and Content in React Card

9 Aug 202624 minutes to read

The Card component can be created with header title, subtitle, and images. To add a header, create a div element with the class e-card-header.

The Card provides the following elements and class definitions for header content:

Elements Description
Caption The wrapper element that includes title and subtitle content.
Image Supports header images with specified dimensions and positioning.
Class Description
e-card-header-caption To group the title and subtitle within the header which acts as wrapper.
e-card-header-title Main title text with in the header.
e-card-sub-title A sub-title within the header.
e-card-header-image To include heading image within the header.
e-card-corner To add rounded corner for the image.

Adding Title and Subtitle

To add a header to the Card component, create a wrapper div element with the e-card-header-caption class.

  • Place a div element with the e-card-header-title class inside the header caption for the main title.

  • Place a div element with the e-card-sub-title class inside the header caption element for the subtitle.

Header Image

The Card header supports adding images within the header section. Images are positioned either before or after the header caption based on the HTML element’s position in the header structure.

  • Add a header image by creating a div element with the e-card-header-image class, which can be placed before or after the header caption wrapper element.

[Class-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component {
    render() {
        return (<div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-image football e-card-corner"/>
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
          </div>
        </div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
            <div className="e-card-header-image football"/>
          </div>
        </div>
      </div>);
    }
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class ReactApp extends React.Component<{}, {}> {
  public render() {
    return (
      <div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-image football e-card-corner" />
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
          </div>
        </div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
            <div className="e-card-header-image football" />
          </div>
        </div>
      </div>
    );
  }
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Card Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-layouts/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<style>
    .e-card .e-card-header .e-card-header-image {
        background-image: url('./football.png');
    }

    .map {
        background-image: url('./map.png');
        height: 200px;
    }

    .e-card {
        width: 300px
    }

    .e-card:last-child {
        margin-top: 30px;
    }
</style>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

[Functional-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
function ReactApp() {
    return (<div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-image football e-card-corner"/>
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
          </div>
        </div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
            <div className="e-card-header-image football"/>
          </div>
        </div>
      </div>);
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
import * as React from "react";
import * as ReactDOM from "react-dom";

function ReactApp () {

    return (
      <div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-image football e-card-corner" />
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
          </div>
        </div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
            <div className="e-card-header-image football" />
          </div>
        </div>
      </div>
    );

}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Card Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-layouts/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<style>
    .e-card .e-card-header .e-card-header-image {
        background-image: url('./football.png');
    }

    .map {
        background-image: url('./map.png');
        height: 200px;
    }

    .e-card {
        width: 300px
    }

    .e-card:last-child {
        margin-top: 30px;
    }
</style>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Content

Following the header, the content section holds the main body of the card, including text, images, links, and any HTML elements. The content section provides flexibility for various content types and can be positioned within the Card root element or inside other Card inner elements.

  • Create a div element with the class e-card-content.
  • Place the content div element within the Card root element or inside any Card inner elements.

[Class-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component {
    render() {
        return (<div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-image football"/>
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
          </div>
          <div className="e-card-content">
            Laura received a BA in psychology from the University of Washington. She has also completed a course in business French. She reads and writes French.
          </div>
        </div>
      </div>);
    }
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class ReactApp extends React.Component<{}, {}> {
  public render() {
    return (
      <div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-image football" />
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
          </div>
          <div className="e-card-content">
            Laura received a BA in psychology from the University of Washington. She has also completed a course in business French. She reads and writes French.
          </div>
        </div>
      </div>
    );
  }
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Card Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-layouts/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<style>
    .e-card .e-card-header .e-card-header-image {
        background-image: url('./football.png');
    }

    .map {
        background-image: url('./map.png');
        height: 200px;
    }

    .e-card {
        width: 300px
    }

    .e-card:last-child {
        margin-top: 30px;
    }
</style>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

[Functional-component]

import * as React from "react";
import * as ReactDOM from "react-dom";
function ReactApp() {
    return (<div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-image football"/>
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
          </div>
          <div className="e-card-content">
            Laura received a BA in psychology from the University of Washington. She has also completed a course in business French. She reads and writes French.
          </div>
        </div>
      </div>);
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
import * as React from "react";
import * as ReactDOM from "react-dom";

function ReactApp () {

    return (
      <div>
        <div className="e-card">
          <div className="e-card-header">
            <div className="e-card-header-image football" />
            <div className="e-card-header-caption">
              <div className="e-card-header-title"> Laura Callahan</div>
              <div className="e-card-sub-title">Sales Coordinator and Representative</div>
            </div>
          </div>
          <div className="e-card-content">
            Laura received a BA in psychology from the University of Washington. She has also completed a course in business French. She reads and writes French.
          </div>
        </div>
      </div>
    );

}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Card Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-layouts/styles/tailwind3.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<style>
    .e-card .e-card-header .e-card-header-image {
        background-image: url('./football.png');
    }

    .map {
        background-image: url('./map.png');
        height: 200px;
    }

    .e-card {
        width: 300px
    }

    .e-card:last-child {
        margin-top: 30px;
    }
</style>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>